<?php

namespace App\Http\Requests;

class TeamRequest extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $rules = [
            'name' => 'required|min:2'
        ];

        return $rules;
    }

    public function messages()
    {
        return [
            'name.required' => '团队名称不能为空'
        ];
    }
}
